// XApiDlg.h : header file
//

#if !defined(AFX_XAPIDLG_H__FA823F73_C5FF_4E0A_9001_E5D4C543B260__INCLUDED_)
#define AFX_XAPIDLG_H__FA823F73_C5FF_4E0A_9001_E5D4C543B260__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CXApiDlg dialog

class CXApiDlg : public CDialog
{
// Construction
public:
    CXApiDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
    //{{AFX_DATA(CXApiDlg)
    enum { IDD = IDD_XAPI_DIALOG };
    CString	m_acc;
    CString	m_ip_adr;
    CString	m_adjunct_ip_adr;
    //}}AFX_DATA

    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CXApiDlg)
    protected:
    virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
    //}}AFX_VIRTUAL

// Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CXApiDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
    afx_msg void OnButtonNewClient();
    afx_msg void OnButtonNewCdr();
    afx_msg void OnButtonNewAdj();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XAPIDLG_H__FA823F73_C5FF_4E0A_9001_E5D4C543B260__INCLUDED_)
